NewProxyCallableStatement (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class NewProxyCallableStatement

- java.lang.Object
- - com.mchange.v2.c3p0.impl.NewProxyCallableStatement

- All Implemented Interfaces:
    C3P0ProxyStatement, ProxyResultSetDetachable, java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

      public final class NewProxyCallableStatement
      extends java.lang.Object
      implements java.sql.CallableStatement, C3P0ProxyStatement, ProxyResultSetDetachable

  This class was generated by com.mchange.v2.c3p0.codegen.JdbcProxyGenerator$NewProxyAnyStatementGenerator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.CallableStatement` | `inner`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

    - ### Fields inherited from interface com.mchange.v2.c3p0.C3P0ProxyStatement

      `RAW_STATEMENT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBatch()`
    `void` | `addBatch(java.lang.String a)`
    `void` | `cancel()`
    `void` | `clearBatch()`
    `void` | `clearParameters()`
    `void` | `clearWarnings()`
    `void` | `close()`
    `void` | `closeOnCompletion()`
    `void` | `detachProxyResultSet(java.sql.ResultSet prs)`
    `boolean` | `execute()`
    `boolean` | `execute(java.lang.String a)`
    `boolean` | `execute(java.lang.String a, int b)`
    `boolean` | `execute(java.lang.String a, int[] b)`
    `boolean` | `execute(java.lang.String a, java.lang.String[] b)`
    `int[]` | `executeBatch()`
    `long[]` | `executeLargeBatch()`
    `long` | `executeLargeUpdate()`
    `long` | `executeLargeUpdate(java.lang.String a)`
    `long` | `executeLargeUpdate(java.lang.String a, int b)`
    `long` | `executeLargeUpdate(java.lang.String a, int[] b)`
    `long` | `executeLargeUpdate(java.lang.String a, java.lang.String[] b)`
    `java.sql.ResultSet` | `executeQuery()`
    `java.sql.ResultSet` | `executeQuery(java.lang.String a)`
    `int` | `executeUpdate()`
    `int` | `executeUpdate(java.lang.String a)`
    `int` | `executeUpdate(java.lang.String a, int b)`
    `int` | `executeUpdate(java.lang.String a, int[] b)`
    `int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
    `java.sql.Array` | `getArray(int a)`
    `java.sql.Array` | `getArray(java.lang.String a)`
    `java.math.BigDecimal` | `getBigDecimal(int a)`
    `java.math.BigDecimal` | `getBigDecimal(int a, int b)`
    `java.math.BigDecimal` | `getBigDecimal(java.lang.String a)`
    `java.sql.Blob` | `getBlob(int a)`
    `java.sql.Blob` | `getBlob(java.lang.String a)`
    `boolean` | `getBoolean(int a)`
    `boolean` | `getBoolean(java.lang.String a)`
    `byte` | `getByte(int a)`
    `byte` | `getByte(java.lang.String a)`
    `byte[]` | `getBytes(int a)`
    `byte[]` | `getBytes(java.lang.String a)`
    `java.io.Reader` | `getCharacterStream(int a)`
    `java.io.Reader` | `getCharacterStream(java.lang.String a)`
    `java.sql.Clob` | `getClob(int a)`
    `java.sql.Clob` | `getClob(java.lang.String a)`
    `java.sql.Connection` | `getConnection()`
    `java.sql.Date` | `getDate(int a)`
    `java.sql.Date` | `getDate(int a, java.util.Calendar b)`
    `java.sql.Date` | `getDate(java.lang.String a)`
    `java.sql.Date` | `getDate(java.lang.String a, java.util.Calendar b)`
    `double` | `getDouble(int a)`
    `double` | `getDouble(java.lang.String a)`
    `int` | `getFetchDirection()`
    `int` | `getFetchSize()`
    `float` | `getFloat(int a)`
    `float` | `getFloat(java.lang.String a)`
    `java.sql.ResultSet` | `getGeneratedKeys()`
    `int` | `getInt(int a)`
    `int` | `getInt(java.lang.String a)`
    `long` | `getLargeMaxRows()`
    `long` | `getLargeUpdateCount()`
    `long` | `getLong(int a)`
    `long` | `getLong(java.lang.String a)`
    `int` | `getMaxFieldSize()`
    `int` | `getMaxRows()`
    `java.sql.ResultSetMetaData` | `getMetaData()`
    `boolean` | `getMoreResults()`
    `boolean` | `getMoreResults(int a)`
    `java.io.Reader` | `getNCharacterStream(int a)`
    `java.io.Reader` | `getNCharacterStream(java.lang.String a)`
    `java.sql.NClob` | `getNClob(int a)`
    `java.sql.NClob` | `getNClob(java.lang.String a)`
    `java.lang.String` | `getNString(int a)`
    `java.lang.String` | `getNString(java.lang.String a)`
    `java.lang.Object` | `getObject(int a)`
    `java.lang.Object` | `getObject(int a, java.lang.Class b)`
    `java.lang.Object` | `getObject(int a, java.util.Map b)`
    `java.lang.Object` | `getObject(java.lang.String a)`
    `java.lang.Object` | `getObject(java.lang.String a, java.lang.Class b)`
    `java.lang.Object` | `getObject(java.lang.String a, java.util.Map b)`
    `java.sql.ParameterMetaData` | `getParameterMetaData()`
    `int` | `getQueryTimeout()`
    `java.sql.Ref` | `getRef(int a)`
    `java.sql.Ref` | `getRef(java.lang.String a)`
    `java.sql.ResultSet` | `getResultSet()`
    `int` | `getResultSetConcurrency()`
    `int` | `getResultSetHoldability()`
    `int` | `getResultSetType()`
    `java.sql.RowId` | `getRowId(int a)`
    `java.sql.RowId` | `getRowId(java.lang.String a)`
    `short` | `getShort(int a)`
    `short` | `getShort(java.lang.String a)`
    `java.sql.SQLXML` | `getSQLXML(int a)`
    `java.sql.SQLXML` | `getSQLXML(java.lang.String a)`
    `java.lang.String` | `getString(int a)`
    `java.lang.String` | `getString(java.lang.String a)`
    `java.sql.Time` | `getTime(int a)`
    `java.sql.Time` | `getTime(int a, java.util.Calendar b)`
    `java.sql.Time` | `getTime(java.lang.String a)`
    `java.sql.Time` | `getTime(java.lang.String a, java.util.Calendar b)`
    `java.sql.Timestamp` | `getTimestamp(int a)`
    `java.sql.Timestamp` | `getTimestamp(int a, java.util.Calendar b)`
    `java.sql.Timestamp` | `getTimestamp(java.lang.String a)`
    `java.sql.Timestamp` | `getTimestamp(java.lang.String a, java.util.Calendar b)`
    `int` | `getUpdateCount()`
    `java.net.URL` | `getURL(int a)`
    `java.net.URL` | `getURL(java.lang.String a)`
    `java.sql.SQLWarning` | `getWarnings()`
    `boolean` | `isClosed()`
    `boolean` | `isCloseOnCompletion()`
    `boolean` | `isPoolable()`
    `boolean` | `isWrapperFor(java.lang.Class a)`
    `java.lang.Object` | `rawStatementOperation(java.lang.reflect.Method m, java.lang.Object target, java.lang.Object[] args)` Allows one to work with the unproxied, raw vendor-provided Statement .
    `void` | `registerOutParameter(int a, int b)`
    `void` | `registerOutParameter(int a, int b, int c)`
    `void` | `registerOutParameter(int a, int b, java.lang.String c)`
    `void` | `registerOutParameter(int a, java.sql.SQLType b)`
    `void` | `registerOutParameter(int a, java.sql.SQLType b, int c)`
    `void` | `registerOutParameter(int a, java.sql.SQLType b, java.lang.String c)`
    `void` | `registerOutParameter(java.lang.String a, int b)`
    `void` | `registerOutParameter(java.lang.String a, int b, int c)`
    `void` | `registerOutParameter(java.lang.String a, int b, java.lang.String c)`
    `void` | `registerOutParameter(java.lang.String a, java.sql.SQLType b)`
    `void` | `registerOutParameter(java.lang.String a, java.sql.SQLType b, int c)`
    `void` | `registerOutParameter(java.lang.String a, java.sql.SQLType b, java.lang.String c)`
    `void` | `setArray(int a, java.sql.Array b)`
    `void` | `setAsciiStream(int a, java.io.InputStream b)`
    `void` | `setAsciiStream(int a, java.io.InputStream b, int c)`
    `void` | `setAsciiStream(int a, java.io.InputStream b, long c)`
    `void` | `setAsciiStream(java.lang.String a, java.io.InputStream b)`
    `void` | `setAsciiStream(java.lang.String a, java.io.InputStream b, int c)`
    `void` | `setAsciiStream(java.lang.String a, java.io.InputStream b, long c)`
    `void` | `setBigDecimal(int a, java.math.BigDecimal b)`
    `void` | `setBigDecimal(java.lang.String a, java.math.BigDecimal b)`
    `void` | `setBinaryStream(int a, java.io.InputStream b)`
    `void` | `setBinaryStream(int a, java.io.InputStream b, int c)`
    `void` | `setBinaryStream(int a, java.io.InputStream b, long c)`
    `void` | `setBinaryStream(java.lang.String a, java.io.InputStream b)`
    `void` | `setBinaryStream(java.lang.String a, java.io.InputStream b, int c)`
    `void` | `setBinaryStream(java.lang.String a, java.io.InputStream b, long c)`
    `void` | `setBlob(int a, java.sql.Blob b)`
    `void` | `setBlob(int a, java.io.InputStream b)`
    `void` | `setBlob(int a, java.io.InputStream b, long c)`
    `void` | `setBlob(java.lang.String a, java.sql.Blob b)`
    `void` | `setBlob(java.lang.String a, java.io.InputStream b)`
    `void` | `setBlob(java.lang.String a, java.io.InputStream b, long c)`
    `void` | `setBoolean(int a, boolean b)`
    `void` | `setBoolean(java.lang.String a, boolean b)`
    `void` | `setByte(int a, byte b)`
    `void` | `setByte(java.lang.String a, byte b)`
    `void` | `setBytes(int a, byte[] b)`
    `void` | `setBytes(java.lang.String a, byte[] b)`
    `void` | `setCharacterStream(int a, java.io.Reader b)`
    `void` | `setCharacterStream(int a, java.io.Reader b, int c)`
    `void` | `setCharacterStream(int a, java.io.Reader b, long c)`
    `void` | `setCharacterStream(java.lang.String a, java.io.Reader b)`
    `void` | `setCharacterStream(java.lang.String a, java.io.Reader b, int c)`
    `void` | `setCharacterStream(java.lang.String a, java.io.Reader b, long c)`
    `void` | `setClob(int a, java.sql.Clob b)`
    `void` | `setClob(int a, java.io.Reader b)`
    `void` | `setClob(int a, java.io.Reader b, long c)`
    `void` | `setClob(java.lang.String a, java.sql.Clob b)`
    `void` | `setClob(java.lang.String a, java.io.Reader b)`
    `void` | `setClob(java.lang.String a, java.io.Reader b, long c)`
    `void` | `setCursorName(java.lang.String a)`
    `void` | `setDate(int a, java.sql.Date b)`
    `void` | `setDate(int a, java.sql.Date b, java.util.Calendar c)`
    `void` | `setDate(java.lang.String a, java.sql.Date b)`
    `void` | `setDate(java.lang.String a, java.sql.Date b, java.util.Calendar c)`
    `void` | `setDouble(int a, double b)`
    `void` | `setDouble(java.lang.String a, double b)`
    `void` | `setEscapeProcessing(boolean a)`
    `void` | `setFetchDirection(int a)`
    `void` | `setFetchSize(int a)`
    `void` | `setFloat(int a, float b)`
    `void` | `setFloat(java.lang.String a, float b)`
    `void` | `setInt(int a, int b)`
    `void` | `setInt(java.lang.String a, int b)`
    `void` | `setLargeMaxRows(long a)`
    `void` | `setLong(int a, long b)`
    `void` | `setLong(java.lang.String a, long b)`
    `void` | `setMaxFieldSize(int a)`
    `void` | `setMaxRows(int a)`
    `void` | `setNCharacterStream(int a, java.io.Reader b)`
    `void` | `setNCharacterStream(int a, java.io.Reader b, long c)`
    `void` | `setNCharacterStream(java.lang.String a, java.io.Reader b)`
    `void` | `setNCharacterStream(java.lang.String a, java.io.Reader b, long c)`
    `void` | `setNClob(int a, java.sql.NClob b)`
    `void` | `setNClob(int a, java.io.Reader b)`
    `void` | `setNClob(int a, java.io.Reader b, long c)`
    `void` | `setNClob(java.lang.String a, java.sql.NClob b)`
    `void` | `setNClob(java.lang.String a, java.io.Reader b)`
    `void` | `setNClob(java.lang.String a, java.io.Reader b, long c)`
    `void` | `setNString(int a, java.lang.String b)`
    `void` | `setNString(java.lang.String a, java.lang.String b)`
    `void` | `setNull(int a, int b)`
    `void` | `setNull(int a, int b, java.lang.String c)`
    `void` | `setNull(java.lang.String a, int b)`
    `void` | `setNull(java.lang.String a, int b, java.lang.String c)`
    `void` | `setObject(int a, java.lang.Object b)`
    `void` | `setObject(int a, java.lang.Object b, int c)`
    `void` | `setObject(int a, java.lang.Object b, int c, int d)`
    `void` | `setObject(int a, java.lang.Object b, java.sql.SQLType c)`
    `void` | `setObject(int a, java.lang.Object b, java.sql.SQLType c, int d)`
    `void` | `setObject(java.lang.String a, java.lang.Object b)`
    `void` | `setObject(java.lang.String a, java.lang.Object b, int c)`
    `void` | `setObject(java.lang.String a, java.lang.Object b, int c, int d)`
    `void` | `setObject(java.lang.String a, java.lang.Object b, java.sql.SQLType c)`
    `void` | `setObject(java.lang.String a, java.lang.Object b, java.sql.SQLType c, int d)`
    `void` | `setPoolable(boolean a)`
    `void` | `setQueryTimeout(int a)`
    `void` | `setRef(int a, java.sql.Ref b)`
    `void` | `setRowId(int a, java.sql.RowId b)`
    `void` | `setRowId(java.lang.String a, java.sql.RowId b)`
    `void` | `setShort(int a, short b)`
    `void` | `setShort(java.lang.String a, short b)`
    `void` | `setSQLXML(int a, java.sql.SQLXML b)`
    `void` | `setSQLXML(java.lang.String a, java.sql.SQLXML b)`
    `void` | `setString(int a, java.lang.String b)`
    `void` | `setString(java.lang.String a, java.lang.String b)`
    `void` | `setTime(int a, java.sql.Time b)`
    `void` | `setTime(int a, java.sql.Time b, java.util.Calendar c)`
    `void` | `setTime(java.lang.String a, java.sql.Time b)`
    `void` | `setTime(java.lang.String a, java.sql.Time b, java.util.Calendar c)`
    `void` | `setTimestamp(int a, java.sql.Timestamp b)`
    `void` | `setTimestamp(int a, java.sql.Timestamp b, java.util.Calendar c)`
    `void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b)`
    `void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b, java.util.Calendar c)`
    `void` | `setUnicodeStream(int a, java.io.InputStream b, int c)`
    `void` | `setURL(int a, java.net.URL b)`
    `void` | `setURL(java.lang.String a, java.net.URL b)`
    `java.lang.String` | `toString()`
    `java.lang.Object` | `unwrap(java.lang.Class a)`
    `boolean` | `wasNull()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### inner

          protected java.sql.CallableStatement inner

  - ### Method Detail

    - #### getObject

          public final java.lang.Object getObject(java.lang.String a,
                                                  java.util.Map b)
                                           throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public final java.lang.Object getObject(int a)
                                           throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public final java.lang.Object getObject(java.lang.String a)
                                           throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public final java.lang.Object getObject(java.lang.String a,
                                                  java.lang.Class b)
                                           throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public final java.lang.Object getObject(int a,
                                                  java.util.Map b)
                                           throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getObject

          public final java.lang.Object getObject(int a,
                                                  java.lang.Class b)
                                           throws java.sql.SQLException

      Specified by:
        `getObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBoolean

          public final boolean getBoolean(java.lang.String a)
                                   throws java.sql.SQLException

      Specified by:
        `getBoolean` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBoolean

          public final boolean getBoolean(int a)
                                   throws java.sql.SQLException

      Specified by:
        `getBoolean` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getByte

          public final byte getByte(java.lang.String a)
                             throws java.sql.SQLException

      Specified by:
        `getByte` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getByte

          public final byte getByte(int a)
                             throws java.sql.SQLException

      Specified by:
        `getByte` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getShort

          public final short getShort(int a)
                               throws java.sql.SQLException

      Specified by:
        `getShort` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getShort

          public final short getShort(java.lang.String a)
                               throws java.sql.SQLException

      Specified by:
        `getShort` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getInt

          public final int getInt(java.lang.String a)
                           throws java.sql.SQLException

      Specified by:
        `getInt` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getInt

          public final int getInt(int a)
                           throws java.sql.SQLException

      Specified by:
        `getInt` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getLong

          public final long getLong(java.lang.String a)
                             throws java.sql.SQLException

      Specified by:
        `getLong` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getLong

          public final long getLong(int a)
                             throws java.sql.SQLException

      Specified by:
        `getLong` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getFloat

          public final float getFloat(java.lang.String a)
                               throws java.sql.SQLException

      Specified by:
        `getFloat` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getFloat

          public final float getFloat(int a)
                               throws java.sql.SQLException

      Specified by:
        `getFloat` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getDouble

          public final double getDouble(java.lang.String a)
                                 throws java.sql.SQLException

      Specified by:
        `getDouble` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getDouble

          public final double getDouble(int a)
                                 throws java.sql.SQLException

      Specified by:
        `getDouble` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBytes

          public final byte[] getBytes(int a)
                                throws java.sql.SQLException

      Specified by:
        `getBytes` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBytes

          public final byte[] getBytes(java.lang.String a)
                                throws java.sql.SQLException

      Specified by:
        `getBytes` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getArray

          public final java.sql.Array getArray(java.lang.String a)
                                        throws java.sql.SQLException

      Specified by:
        `getArray` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getArray

          public final java.sql.Array getArray(int a)
                                        throws java.sql.SQLException

      Specified by:
        `getArray` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getURL

          public final java.net.URL getURL(java.lang.String a)
                                    throws java.sql.SQLException

      Specified by:
        `getURL` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getURL

          public final java.net.URL getURL(int a)
                                    throws java.sql.SQLException

      Specified by:
        `getURL` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBoolean

          public final void setBoolean(java.lang.String a,
                                       boolean b)
                                throws java.sql.SQLException

      Specified by:
        `setBoolean` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setByte

          public final void setByte(java.lang.String a,
                                    byte b)
                             throws java.sql.SQLException

      Specified by:
        `setByte` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setShort

          public final void setShort(java.lang.String a,
                                     short b)
                              throws java.sql.SQLException

      Specified by:
        `setShort` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setInt

          public final void setInt(java.lang.String a,
                                   int b)
                            throws java.sql.SQLException

      Specified by:
        `setInt` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setLong

          public final void setLong(java.lang.String a,
                                    long b)
                             throws java.sql.SQLException

      Specified by:
        `setLong` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setFloat

          public final void setFloat(java.lang.String a,
                                     float b)
                              throws java.sql.SQLException

      Specified by:
        `setFloat` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDouble

          public final void setDouble(java.lang.String a,
                                      double b)
                               throws java.sql.SQLException

      Specified by:
        `setDouble` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getRef

          public final java.sql.Ref getRef(int a)
                                    throws java.sql.SQLException

      Specified by:
        `getRef` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getRef

          public final java.sql.Ref getRef(java.lang.String a)
                                    throws java.sql.SQLException

      Specified by:
        `getRef` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public final void setTimestamp(java.lang.String a,
                                         java.sql.Timestamp b,
                                         java.util.Calendar c)
                                  throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public final void setTimestamp(java.lang.String a,
                                         java.sql.Timestamp b)
                                  throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setURL

          public final void setURL(java.lang.String a,
                                   java.net.URL b)
                            throws java.sql.SQLException

      Specified by:
        `setURL` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getString

          public final java.lang.String getString(int a)
                                           throws java.sql.SQLException

      Specified by:
        `getString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getString

          public final java.lang.String getString(java.lang.String a)
                                           throws java.sql.SQLException

      Specified by:
        `getString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public final void setTime(java.lang.String a,
                                    java.sql.Time b,
                                    java.util.Calendar c)
                             throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public final void setTime(java.lang.String a,
                                    java.sql.Time b)
                             throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public final java.sql.Time getTime(int a,
                                             java.util.Calendar b)
                                      throws java.sql.SQLException

      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public final java.sql.Time getTime(java.lang.String a,
                                             java.util.Calendar b)
                                      throws java.sql.SQLException

      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public final java.sql.Time getTime(java.lang.String a)
                                      throws java.sql.SQLException

      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTime

          public final java.sql.Time getTime(int a)
                                      throws java.sql.SQLException

      Specified by:
        `getTime` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public final java.sql.Date getDate(int a,
                                             java.util.Calendar b)
                                      throws java.sql.SQLException

      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public final java.sql.Date getDate(int a)
                                      throws java.sql.SQLException

      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public final java.sql.Date getDate(java.lang.String a)
                                      throws java.sql.SQLException

      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getDate

          public final java.sql.Date getDate(java.lang.String a,
                                             java.util.Calendar b)
                                      throws java.sql.SQLException

      Specified by:
        `getDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public final void setNull(java.lang.String a,
                                    int b,
                                    java.lang.String c)
                             throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public final void setNull(java.lang.String a,
                                    int b)
                             throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBigDecimal

          public final void setBigDecimal(java.lang.String a,
                                          java.math.BigDecimal b)
                                   throws java.sql.SQLException

      Specified by:
        `setBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setString

          public final void setString(java.lang.String a,
                                      java.lang.String b)
                               throws java.sql.SQLException

      Specified by:
        `setString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBytes

          public final void setBytes(java.lang.String a,
                                     byte[] b)
                              throws java.sql.SQLException

      Specified by:
        `setBytes` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public final void setDate(java.lang.String a,
                                    java.sql.Date b)
                             throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public final void setDate(java.lang.String a,
                                    java.sql.Date b,
                                    java.util.Calendar c)
                             throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public final void setAsciiStream(java.lang.String a,
                                           java.io.InputStream b,
                                           long c)
                                    throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public final void setAsciiStream(java.lang.String a,
                                           java.io.InputStream b)
                                    throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public final void setAsciiStream(java.lang.String a,
                                           java.io.InputStream b,
                                           int c)
                                    throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public final void setBinaryStream(java.lang.String a,
                                            java.io.InputStream b,
                                            long c)
                                     throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public final void setBinaryStream(java.lang.String a,
                                            java.io.InputStream b)
                                     throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public final void setBinaryStream(java.lang.String a,
                                            java.io.InputStream b,
                                            int c)
                                     throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(java.lang.String a,
                                      java.lang.Object b,
                                      int c)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(java.lang.String a,
                                      java.lang.Object b,
                                      java.sql.SQLType c,
                                      int d)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(java.lang.String a,
                                      java.lang.Object b)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(java.lang.String a,
                                      java.lang.Object b,
                                      java.sql.SQLType c)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(java.lang.String a,
                                      java.lang.Object b,
                                      int c,
                                      int d)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public final void setCharacterStream(java.lang.String a,
                                               java.io.Reader b,
                                               long c)
                                        throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public final void setCharacterStream(java.lang.String a,
                                               java.io.Reader b,
                                               int c)
                                        throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public final void setCharacterStream(java.lang.String a,
                                               java.io.Reader b)
                                        throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public final void setBlob(java.lang.String a,
                                    java.io.InputStream b)
                             throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public final void setBlob(java.lang.String a,
                                    java.sql.Blob b)
                             throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public final void setBlob(java.lang.String a,
                                    java.io.InputStream b,
                                    long c)
                             throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public final void setClob(java.lang.String a,
                                    java.sql.Clob b)
                             throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public final void setClob(java.lang.String a,
                                    java.io.Reader b)
                             throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public final void setClob(java.lang.String a,
                                    java.io.Reader b,
                                    long c)
                             throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public final void setRowId(java.lang.String a,
                                     java.sql.RowId b)
                              throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public final void setNString(java.lang.String a,
                                       java.lang.String b)
                                throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public final void setNCharacterStream(java.lang.String a,
                                                java.io.Reader b,
                                                long c)
                                         throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public final void setNCharacterStream(java.lang.String a,
                                                java.io.Reader b)
                                         throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public final void setNClob(java.lang.String a,
                                     java.sql.NClob b)
                              throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public final void setNClob(java.lang.String a,
                                     java.io.Reader b)
                              throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public final void setNClob(java.lang.String a,
                                     java.io.Reader b,
                                     long c)
                              throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public final void setSQLXML(java.lang.String a,
                                      java.sql.SQLXML b)
                               throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(int a,
                                                 java.sql.SQLType b,
                                                 int c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(int a,
                                                 java.sql.SQLType b)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(java.lang.String a,
                                                 java.sql.SQLType b,
                                                 int c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(int a,
                                                 java.sql.SQLType b,
                                                 java.lang.String c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(java.lang.String a,
                                                 java.sql.SQLType b)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(java.lang.String a,
                                                 java.sql.SQLType b,
                                                 java.lang.String c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(int a,
                                                 int b,
                                                 java.lang.String c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(java.lang.String a,
                                                 int b)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(java.lang.String a,
                                                 int b,
                                                 int c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(java.lang.String a,
                                                 int b,
                                                 java.lang.String c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(int a,
                                                 int b)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### registerOutParameter

          public final void registerOutParameter(int a,
                                                 int b,
                                                 int c)
                                          throws java.sql.SQLException

      Specified by:
        `registerOutParameter` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### wasNull

          public final boolean wasNull()
                                throws java.sql.SQLException

      Specified by:
        `wasNull` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          public final java.math.BigDecimal getBigDecimal(java.lang.String a)
                                                   throws java.sql.SQLException

      Specified by:
        `getBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          public final java.math.BigDecimal getBigDecimal(int a)
                                                   throws java.sql.SQLException

      Specified by:
        `getBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBigDecimal

          public final java.math.BigDecimal getBigDecimal(int a,
                                                          int b)
                                                   throws java.sql.SQLException

      Specified by:
        `getBigDecimal` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public final java.sql.Timestamp getTimestamp(int a)
                                                throws java.sql.SQLException

      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public final java.sql.Timestamp getTimestamp(int a,
                                                       java.util.Calendar b)
                                                throws java.sql.SQLException

      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public final java.sql.Timestamp getTimestamp(java.lang.String a,
                                                       java.util.Calendar b)
                                                throws java.sql.SQLException

      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getTimestamp

          public final java.sql.Timestamp getTimestamp(java.lang.String a)
                                                throws java.sql.SQLException

      Specified by:
        `getTimestamp` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBlob

          public final java.sql.Blob getBlob(int a)
                                      throws java.sql.SQLException

      Specified by:
        `getBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getBlob

          public final java.sql.Blob getBlob(java.lang.String a)
                                      throws java.sql.SQLException

      Specified by:
        `getBlob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getClob

          public final java.sql.Clob getClob(java.lang.String a)
                                      throws java.sql.SQLException

      Specified by:
        `getClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getClob

          public final java.sql.Clob getClob(int a)
                                      throws java.sql.SQLException

      Specified by:
        `getClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getRowId

          public final java.sql.RowId getRowId(java.lang.String a)
                                        throws java.sql.SQLException

      Specified by:
        `getRowId` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getRowId

          public final java.sql.RowId getRowId(int a)
                                        throws java.sql.SQLException

      Specified by:
        `getRowId` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNClob

          public final java.sql.NClob getNClob(int a)
                                        throws java.sql.SQLException

      Specified by:
        `getNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNClob

          public final java.sql.NClob getNClob(java.lang.String a)
                                        throws java.sql.SQLException

      Specified by:
        `getNClob` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getSQLXML

          public final java.sql.SQLXML getSQLXML(java.lang.String a)
                                          throws java.sql.SQLException

      Specified by:
        `getSQLXML` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getSQLXML

          public final java.sql.SQLXML getSQLXML(int a)
                                          throws java.sql.SQLException

      Specified by:
        `getSQLXML` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNString

          public final java.lang.String getNString(java.lang.String a)
                                            throws java.sql.SQLException

      Specified by:
        `getNString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNString

          public final java.lang.String getNString(int a)
                                            throws java.sql.SQLException

      Specified by:
        `getNString` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNCharacterStream

          public final java.io.Reader getNCharacterStream(java.lang.String a)
                                                   throws java.sql.SQLException

      Specified by:
        `getNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getNCharacterStream

          public final java.io.Reader getNCharacterStream(int a)
                                                   throws java.sql.SQLException

      Specified by:
        `getNCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getCharacterStream

          public final java.io.Reader getCharacterStream(java.lang.String a)
                                                  throws java.sql.SQLException

      Specified by:
        `getCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### getCharacterStream

          public final java.io.Reader getCharacterStream(int a)
                                                  throws java.sql.SQLException

      Specified by:
        `getCharacterStream` in interface `java.sql.CallableStatement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public final boolean execute()
                                throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBoolean

          public final void setBoolean(int a,
                                       boolean b)
                                throws java.sql.SQLException

      Specified by:
        `setBoolean` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setByte

          public final void setByte(int a,
                                    byte b)
                             throws java.sql.SQLException

      Specified by:
        `setByte` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setShort

          public final void setShort(int a,
                                     short b)
                              throws java.sql.SQLException

      Specified by:
        `setShort` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setInt

          public final void setInt(int a,
                                   int b)
                            throws java.sql.SQLException

      Specified by:
        `setInt` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setLong

          public final void setLong(int a,
                                    long b)
                             throws java.sql.SQLException

      Specified by:
        `setLong` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setFloat

          public final void setFloat(int a,
                                     float b)
                              throws java.sql.SQLException

      Specified by:
        `setFloat` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDouble

          public final void setDouble(int a,
                                      double b)
                               throws java.sql.SQLException

      Specified by:
        `setDouble` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public final void setTimestamp(int a,
                                         java.sql.Timestamp b)
                                  throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public final void setTimestamp(int a,
                                         java.sql.Timestamp b,
                                         java.util.Calendar c)
                                  throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public final java.sql.ResultSetMetaData getMetaData()
                                                       throws java.sql.SQLException

      Specified by:
        `getMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setURL

          public final void setURL(int a,
                                   java.net.URL b)
                            throws java.sql.SQLException

      Specified by:
        `setURL` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public final void setTime(int a,
                                    java.sql.Time b)
                             throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public final void setTime(int a,
                                    java.sql.Time b,
                                    java.util.Calendar c)
                             throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public final java.sql.ResultSet executeQuery()
                                                throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public final int executeUpdate()
                                  throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public final void addBatch()
                              throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public final long executeLargeUpdate()
                                        throws java.sql.SQLException

      Specified by:
        `executeLargeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public final void setNull(int a,
                                    int b)
                             throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public final void setNull(int a,
                                    int b,
                                    java.lang.String c)
                             throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBigDecimal

          public final void setBigDecimal(int a,
                                          java.math.BigDecimal b)
                                   throws java.sql.SQLException

      Specified by:
        `setBigDecimal` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setString

          public final void setString(int a,
                                      java.lang.String b)
                               throws java.sql.SQLException

      Specified by:
        `setString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBytes

          public final void setBytes(int a,
                                     byte[] b)
                              throws java.sql.SQLException

      Specified by:
        `setBytes` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public final void setDate(int a,
                                    java.sql.Date b,
                                    java.util.Calendar c)
                             throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public final void setDate(int a,
                                    java.sql.Date b)
                             throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public final void setAsciiStream(int a,
                                           java.io.InputStream b,
                                           int c)
                                    throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public final void setAsciiStream(int a,
                                           java.io.InputStream b,
                                           long c)
                                    throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public final void setAsciiStream(int a,
                                           java.io.InputStream b)
                                    throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setUnicodeStream

          public final void setUnicodeStream(int a,
                                             java.io.InputStream b,
                                             int c)
                                      throws java.sql.SQLException

      Specified by:
        `setUnicodeStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public final void setBinaryStream(int a,
                                            java.io.InputStream b,
                                            int c)
                                     throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public final void setBinaryStream(int a,
                                            java.io.InputStream b,
                                            long c)
                                     throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public final void setBinaryStream(int a,
                                            java.io.InputStream b)
                                     throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### clearParameters

          public final void clearParameters()
                                     throws java.sql.SQLException

      Specified by:
        `clearParameters` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(int a,
                                      java.lang.Object b,
                                      int c,
                                      int d)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(int a,
                                      java.lang.Object b,
                                      java.sql.SQLType c)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(int a,
                                      java.lang.Object b,
                                      java.sql.SQLType c,
                                      int d)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(int a,
                                      java.lang.Object b)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public final void setObject(int a,
                                      java.lang.Object b,
                                      int c)
                               throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public final void setCharacterStream(int a,
                                               java.io.Reader b,
                                               int c)
                                        throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public final void setCharacterStream(int a,
                                               java.io.Reader b,
                                               long c)
                                        throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public final void setCharacterStream(int a,
                                               java.io.Reader b)
                                        throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRef

          public final void setRef(int a,
                                   java.sql.Ref b)
                            throws java.sql.SQLException

      Specified by:
        `setRef` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public final void setBlob(int a,
                                    java.io.InputStream b)
                             throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public final void setBlob(int a,
                                    java.io.InputStream b,
                                    long c)
                             throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public final void setBlob(int a,
                                    java.sql.Blob b)
                             throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public final void setClob(int a,
                                    java.io.Reader b,
                                    long c)
                             throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public final void setClob(int a,
                                    java.io.Reader b)
                             throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public final void setClob(int a,
                                    java.sql.Clob b)
                             throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setArray

          public final void setArray(int a,
                                     java.sql.Array b)
                              throws java.sql.SQLException

      Specified by:
        `setArray` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getParameterMetaData

          public final java.sql.ParameterMetaData getParameterMetaData()
                                                                throws java.sql.SQLException

      Specified by:
        `getParameterMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public final void setRowId(int a,
                                     java.sql.RowId b)
                              throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public final void setNString(int a,
                                       java.lang.String b)
                                throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public final void setNCharacterStream(int a,
                                                java.io.Reader b,
                                                long c)
                                         throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public final void setNCharacterStream(int a,
                                                java.io.Reader b)
                                         throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public final void setNClob(int a,
                                     java.io.Reader b,
                                     long c)
                              throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public final void setNClob(int a,
                                     java.sql.NClob b)
                              throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public final void setNClob(int a,
                                     java.io.Reader b)
                              throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public final void setSQLXML(int a,
                                      java.sql.SQLXML b)
                               throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public final boolean execute(java.lang.String a,
                                       java.lang.String[] b)
                                throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public final boolean execute(java.lang.String a)
                                throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public final boolean execute(java.lang.String a,
                                       int b)
                                throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public final boolean execute(java.lang.String a,
                                       int[] b)
                                throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### close

          public final void close()
                           throws java.sql.SQLException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public final java.sql.SQLWarning getWarnings()
                                                throws java.sql.SQLException

      Specified by:
        `getWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearWarnings

          public final void clearWarnings()
                                   throws java.sql.SQLException

      Specified by:
        `clearWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public final boolean isClosed()
                                 throws java.sql.SQLException

      Specified by:
        `isClosed` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getConnection

          public final java.sql.Connection getConnection()
                                                  throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public final java.sql.ResultSet executeQuery(java.lang.String a)
                                                throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public final int executeUpdate(java.lang.String a,
                                         int[] b)
                                  throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public final int executeUpdate(java.lang.String a,
                                         int b)
                                  throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public final int executeUpdate(java.lang.String a)
                                  throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public final int executeUpdate(java.lang.String a,
                                         java.lang.String[] b)
                                  throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxFieldSize

          public final int getMaxFieldSize()
                                    throws java.sql.SQLException

      Specified by:
        `getMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxFieldSize

          public final void setMaxFieldSize(int a)
                                     throws java.sql.SQLException

      Specified by:
        `setMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxRows

          public final int getMaxRows()
                               throws java.sql.SQLException

      Specified by:
        `getMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxRows

          public final void setMaxRows(int a)
                                throws java.sql.SQLException

      Specified by:
        `setMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setEscapeProcessing

          public final void setEscapeProcessing(boolean a)
                                         throws java.sql.SQLException

      Specified by:
        `setEscapeProcessing` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getQueryTimeout

          public final int getQueryTimeout()
                                    throws java.sql.SQLException

      Specified by:
        `getQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setQueryTimeout

          public final void setQueryTimeout(int a)
                                     throws java.sql.SQLException

      Specified by:
        `setQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### cancel

          public final void cancel()
                            throws java.sql.SQLException

      Specified by:
        `cancel` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setCursorName

          public final void setCursorName(java.lang.String a)
                                   throws java.sql.SQLException

      Specified by:
        `setCursorName` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public final java.sql.ResultSet getResultSet()
                                                throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getUpdateCount

          public final int getUpdateCount()
                                   throws java.sql.SQLException

      Specified by:
        `getUpdateCount` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public final boolean getMoreResults(int a)
                                       throws java.sql.SQLException

      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public final boolean getMoreResults()
                                       throws java.sql.SQLException

      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchDirection

          public final void setFetchDirection(int a)
                                       throws java.sql.SQLException

      Specified by:
        `setFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchDirection

          public final int getFetchDirection()
                                      throws java.sql.SQLException

      Specified by:
        `getFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchSize

          public final void setFetchSize(int a)
                                  throws java.sql.SQLException

      Specified by:
        `setFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchSize

          public final int getFetchSize()
                                 throws java.sql.SQLException

      Specified by:
        `getFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetConcurrency

          public final int getResultSetConcurrency()
                                            throws java.sql.SQLException

      Specified by:
        `getResultSetConcurrency` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetType

          public final int getResultSetType()
                                     throws java.sql.SQLException

      Specified by:
        `getResultSetType` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public final void addBatch(java.lang.String a)
                              throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearBatch

          public final void clearBatch()
                                throws java.sql.SQLException

      Specified by:
        `clearBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeBatch

          public final int[] executeBatch()
                                   throws java.sql.SQLException

      Specified by:
        `executeBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getGeneratedKeys

          public final java.sql.ResultSet getGeneratedKeys()
                                                    throws java.sql.SQLException

      Specified by:
        `getGeneratedKeys` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetHoldability

          public final int getResultSetHoldability()
                                            throws java.sql.SQLException

      Specified by:
        `getResultSetHoldability` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setPoolable

          public final void setPoolable(boolean a)
                                 throws java.sql.SQLException

      Specified by:
        `setPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isPoolable

          public final boolean isPoolable()
                                   throws java.sql.SQLException

      Specified by:
        `isPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### closeOnCompletion

          public final void closeOnCompletion()
                                       throws java.sql.SQLException

      Specified by:
        `closeOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isCloseOnCompletion

          public final boolean isCloseOnCompletion()
                                            throws java.sql.SQLException

      Specified by:
        `isCloseOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getLargeUpdateCount

          public final long getLargeUpdateCount()
                                         throws java.sql.SQLException

      Specified by:
        `getLargeUpdateCount` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setLargeMaxRows

          public final void setLargeMaxRows(long a)
                                     throws java.sql.SQLException

      Specified by:
        `setLargeMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getLargeMaxRows

          public final long getLargeMaxRows()
                                     throws java.sql.SQLException

      Specified by:
        `getLargeMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeBatch

          public final long[] executeLargeBatch()
                                         throws java.sql.SQLException

      Specified by:
        `executeLargeBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public final long executeLargeUpdate(java.lang.String a,
                                               java.lang.String[] b)
                                        throws java.sql.SQLException

      Specified by:
        `executeLargeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public final long executeLargeUpdate(java.lang.String a,
                                               int[] b)
                                        throws java.sql.SQLException

      Specified by:
        `executeLargeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public final long executeLargeUpdate(java.lang.String a,
                                               int b)
                                        throws java.sql.SQLException

      Specified by:
        `executeLargeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public final long executeLargeUpdate(java.lang.String a)
                                        throws java.sql.SQLException

      Specified by:
        `executeLargeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public final java.lang.Object unwrap(java.lang.Class a)
                                        throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### isWrapperFor

          public final boolean isWrapperFor(java.lang.Class a)
                                     throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### detachProxyResultSet

          public void detachProxyResultSet(java.sql.ResultSet prs)

      Specified by:
        `detachProxyResultSet` in interface `ProxyResultSetDetachable`

    - #### rawStatementOperation

          public java.lang.Object rawStatementOperation(java.lang.reflect.Method m,
                                                        java.lang.Object target,
                                                        java.lang.Object[] args)
                                                 throws java.lang.IllegalAccessException,
                                                        java.lang.reflect.InvocationTargetException,
                                                        java.sql.SQLException

      Description copied from interface: `C3P0ProxyStatement`

      Allows one to work with the unproxied, raw vendor-provided Statement . Some database companies never got over the "common interfaces mean no more vendor lock-in!" thing, and offer non-standard API on their Statements. This method permits you to "pierce" the connection-pooling layer to call non-standard methods on the original Statement, or to pass the original Statement to functions that are not implementation neutral.

      To use this functionality, you'll need to cast a Statement retrieved from a c3p0-provided Connection to a C3P0ProxyStatement.

      This method works by making a reflective call of method `m` on Object `target` (which may be null for static methods), passing and argument list `args`. For the method target, or for any argument, you may substitute the special token `C3P0ProxyStatement.RAW_STATEMENT`

      Any ResultSets returned by the operation will be proxied and c3p0-managed, meaning that these resources will be automatically closed if the user does not close them first when this Statement is closed or checked into the statement cache. Any other resources returned by the operation are the user's responsibility to clean up!

      If you have turned statement pooling on, incautious use of this method can corrupt the PreparedStatement cache, by breaking the invariant that all cached PreparedStatements should be equivalent to a PreparedStatement newly created with the same arguments to prepareStatement(...) or prepareCall(...). If your vendor supplies API that allows you to modify the state or configuration of a Statement in some nonstandard way, and you do not undo this modification prior to closing the Statement or the Connection that prepared it, future preparers of the same Statement may or may not see your modification, depending on your use of the cache. Thus, it is inadvisable to use this method to call nonstandard mutators on PreparedStatements if statement pooling is turned on..

      Specified by:
        `rawStatementOperation` in interface `C3P0ProxyStatement`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.sql.SQLException`